Index: branches/objectmanager/src/world_entities/npcs/npc.cc
===================================================================
--- branches/objectmanager/src/world_entities/npcs/npc.cc	(revision 6089)
+++ branches/objectmanager/src/world_entities/npcs/npc.cc	(revision 6121)
@@ -33,5 +33,5 @@
 {
   this->setClassID(CL_NPC, "NPC");
-
+  this->toList(OM_GROUP_00);
 }
 
Index: branches/objectmanager/src/world_entities/playable.cc
===================================================================
--- branches/objectmanager/src/world_entities/playable.cc	(revision 6089)
+++ branches/objectmanager/src/world_entities/playable.cc	(revision 6121)
@@ -46,4 +46,5 @@
   PRINTF(4)("PLAYABLE INIT\n");
 
+  this->toList(OM_GROUP_01);
   this->weaponMan = new WeaponManager(this);
 
Index: branches/objectmanager/src/world_entities/power_ups/power_up.cc
===================================================================
--- branches/objectmanager/src/world_entities/power_ups/power_up.cc	(revision 6089)
+++ branches/objectmanager/src/world_entities/power_ups/power_up.cc	(revision 6121)
@@ -27,4 +27,5 @@
 {
   this->setClassID(CL_POWER_UP, "PowerUp");
+  this->toList(OM_COMMON);
 
 }
Index: branches/objectmanager/src/world_entities/skybox.cc
===================================================================
--- branches/objectmanager/src/world_entities/skybox.cc	(revision 6089)
+++ branches/objectmanager/src/world_entities/skybox.cc	(revision 6121)
@@ -65,5 +65,5 @@
 {
   this->setClassID(CL_SKYBOX, "SkyBox");
-
+  this->toList(OM_ENVIRON_NOTICK);
   this->size = 100.0;
 
Index: branches/objectmanager/src/world_entities/world_entity.cc
===================================================================
--- branches/objectmanager/src/world_entities/world_entity.cc	(revision 6089)
+++ branches/objectmanager/src/world_entities/world_entity.cc	(revision 6121)
@@ -57,5 +57,5 @@
   this->objectListIterator = NULL;
 
-  ObjectManager::getInstance()->toList(this, OM_NULL);
+  this->toList(OM_NULL);
 }
 
@@ -73,5 +73,5 @@
     this->setModel(NULL, i);
 
-  ObjectManager::getInstance()->toList(this, OM_INIT);
+  State::getObjectManager()->toList(this, OM_INIT);
 }
 
@@ -106,16 +106,16 @@
     if (strchr(fileName, '#') != NULL)
       {
-	PRINTF(4)("Found # in %s... searching for LOD's\n", fileName);
-	char* lodFile = new char[strlen(fileName)+1];
-	strcpy(lodFile, fileName);
-	char* depth = strchr(lodFile, '#');
-	for (unsigned int i = 0; i < 5; i++)
-	  {
-	    *depth = 48+(int)i;
-	    printf("-------%s\n", lodFile);
-	    if (ResourceManager::isInDataDir(lodFile))
-	      this->loadModel(lodFile, scaling, i);
-	  }
-	return;
+        PRINTF(4)("Found # in %s... searching for LOD's\n", fileName);
+        char* lodFile = new char[strlen(fileName)+1];
+        strcpy(lodFile, fileName);
+        char* depth = strchr(lodFile, '#');
+        for (unsigned int i = 0; i < 5; i++)
+          {
+            *depth = 48+(int)i;
+            printf("-------%s\n", lodFile);
+            if (ResourceManager::isInDataDir(lodFile))
+              this->loadModel(lodFile, scaling, i);
+          }
+        return;
       }
 
@@ -181,4 +181,17 @@
   }
 }
+
+/**
+ * @brief moves this entity to the List OM_List
+ * @param list the list to set this Entity to.
+ *
+ * this is the same as a call to State::getObjectManager()->toList(entity , list);
+ * directly, but with an easier interface.
+ */
+void WorldEntity::toList(OM_LIST list)
+{
+  State::getObjectManager()->toList(this, list);
+}
+
 
 
Index: branches/objectmanager/src/world_entities/world_entity.h
===================================================================
--- branches/objectmanager/src/world_entities/world_entity.h	(revision 6089)
+++ branches/objectmanager/src/world_entities/world_entity.h	(revision 6121)
@@ -66,4 +66,6 @@
   //  CharacterAttributes* getCharacterAttributes();
 
+  void toList(OM_LIST list);
+
   /** @returns a Reference to the objectListNumber to set. */
   OM_LIST& getOMListNumber() { return this->objectListNumber; }
